Retrieve an event
curl --request GET \
--url https://api.syntage.com/events/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/events/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/Event",
"@id": "/events/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Event",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"taxpayer": {
"@id": "/taxpayers/PEIC211118IS0",
"@type": "Taxpayer",
"id": "PEIC211118IS0",
"personType": "physical",
"registrationDate": "2023-12-25",
"name": "Pedro Infante Cruz"
},
"type": "credential.updated",
"source": "/extractions/91106968-1abd-4d64-85c1-4e73d96fb997",
"resource": "/credentials/91106968-1abd-4d64-85c1-4e73d96fb997",
"data": {
"object": {
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"rfc": "PEIC211118IS0",
"type": "ciec",
"status": "valid",
"createdAt": "2020-01-17 11:47:27"
},
"changes": {
"status": {
"old": "pending",
"new": "valid"
}
}
},
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Events
Retrieve an event
Retrieve a single event by ID, including the event type and resource data captured when the event was created.
GET
/
events
/
{id}
Retrieve an event
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
Event resource response
Event IRI reference
Example:
"/events/91106968-1abd-4d64-85c1-4e73d96fb997"
JSON-LD resource type
Example:
"e0a24894-7fbf-48ae-bfb0-efaae30a6319"
Show child attributes
Show child attributes
Available options:
credential.created, credential.updated, credential.deleted, link.created, link.updated, link.deleted, file.created, extraction.created, extraction.updated, invoice.created, invoice.updated, invoice.deleted, invoice_payment.created, invoice_payment.updated, invoice_line_item.created, invoice_line_item.updated, tax_return.created, tax_return.updated, tax_return.deleted, export.created, export.updated, tax_status.created, tax_status.updated, tax_status.deleted, tax_compliance_check.created, tax_compliance_check.updated, tax_compliance_check.deleted, tax_retention.created, tax_retention.updated, tax_retention.deleted, electronic_accounting_record.created, electronic_accounting_record.updated, electronic_accounting_record.deleted, rpc_entidades.created, rpc_entidades.updated, rpc_acto.created, rpc_acto.updated, rpc_socios.created, rpc_socios.updated, shareholder_relation.created, shareholder_relation.updated, shareholder_relation_source.created, rug_garantia.created, rug_garantia.updated, buro_de_credito_report.created, buro_de_credito_report.updated, sat_certificate.created, sat_certificate.updated, background_check.created, company_verification_report.created, company_verification_report.updated Example:
"credential.updated"
Source that originated the event
Example:
"/extractions/91106968-1abd-4d64-85c1-4e73d96fb997"
Resource related to the event
Example:
"/credentials/91106968-1abd-4d64-85c1-4e73d96fb997"
Resource data (data.object) and changes (data.changes)
Example:
{
"object": {
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"rfc": "PEIC211118IS0",
"type": "ciec",
"status": "valid",
"createdAt": "2020-01-17 11:47:27"
},
"changes": {
"status": { "old": "pending", "new": "valid" }
}
}
Date and time the resource was created
Example:
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
Example:
"2020-01-01T12:15:00.000Z"
Was this page helpful?